## org.springframework.transaction
Class TransactionSuspensionNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.transaction.TransactionException
                          org.springframework.transaction.CannotCreateTransactionException
                              org.springframework.transaction.TransactionSuspensionNotSupportedException

All Implemented Interfaces:
  Serializable

    public class TransactionSuspensionNotSupportedException

extends CannotCreateTransactionException

Exception thrown when attempting to suspend an existing transaction but transaction suspension is not supported by the underlying backend.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`TransactionSuspensionNotSupportedException(String msg)` Constructor for TransactionSuspensionNotSupportedException.
`TransactionSuspensionNotSupportedException(String msg, Throwable cause)` Constructor for TransactionSuspensionNotSupportedException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionSuspensionNotSupportedException

    public TransactionSuspensionNotSupportedException(String msg)

  Constructor for TransactionSuspensionNotSupportedException.

  Parameters:
    `msg` - the detail message

### TransactionSuspensionNotSupportedException

    public TransactionSuspensionNotSupportedException(String msg,
                                                      Throwable cause)

  Constructor for TransactionSuspensionNotSupportedException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the transaction API in use

Copyright © 2002-2008 The Spring Framework.